org.jboss.jca.embedded.dsl.ironjacamar13.api

## Interface ConnectionDefinitionsType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface ConnectionDefinitionsType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `connection-definitionsType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConnectionDefinitionType<ConnectionDefinitionsType<T>>` | `createConnectionDefinition()` Creates a new `connection-definition` element
    `java.util.List<ConnectionDefinitionType<ConnectionDefinitionsType<T>>>` | `getAllConnectionDefinition()` Returns all `connection-definition` elements
    `ConnectionDefinitionType<ConnectionDefinitionsType<T>>` | `getOrCreateConnectionDefinition()` If not already created, a new `connection-definition` element will be created and returned.
    `ConnectionDefinitionsType<T>` | `removeAllConnectionDefinition()` Removes all `connection-definition` elements

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### getOrCreateConnectionDefinition

          ConnectionDefinitionType<ConnectionDefinitionsType<T>> getOrCreateConnectionDefinition()

      If not already created, a new `connection-definition` element will be created and returned. Otherwise, the first existing `connection-definition` element will be returned.
      Returns:
        the instance defined for the element `connection-definition`

    - #### createConnectionDefinition

          ConnectionDefinitionType<ConnectionDefinitionsType<T>> createConnectionDefinition()

      Creates a new `connection-definition` element
      Returns:
        the new created instance of `ConnectionDefinitionType>`

    - #### getAllConnectionDefinition

          java.util.List<ConnectionDefinitionType<ConnectionDefinitionsType<T>>> getAllConnectionDefinition()

      Returns all `connection-definition` elements
      Returns:
        list of `connection-definition`

    - #### removeAllConnectionDefinition

          ConnectionDefinitionsType<T> removeAllConnectionDefinition()

      Removes all `connection-definition` elements
      Returns:
        the current instance of `ConnectionDefinitionType>`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)